Bug 1328019 - python-congressclient: Provide a Python 3 subpackage
Summary: python-congressclient: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-congressclient
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: hguemar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-04-18 08:56 UTC by Petr Viktorin
Modified: 2016-06-26 12:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-26 12:33:11 UTC


Attachments (Terms of Use)

Description Petr Viktorin 2016-04-18 08:56:28 UTC
According to the PyPI entry, this software supports Python 3 upstream.
Please provide a Python 3 package for Fedora.

I can see Python 3 support is in the spec file, but disabled
(%global with_python3 0) without any comment.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Haïkel Guémar 2016-04-19 08:06:24 UTC
At the time of the review, dependencies like oslo libs were not python3 enabled, hence it was disabled.

Comment 2 Haïkel Guémar 2016-04-19 08:07:57 UTC
We can push python3 enabled build in rawhide but for F24, it has to wait for https://bodhi.fedoraproject.org/updates/FEDORA-2016-af98a85b1f to reach stable (or be added to the bundle)

Comment 3 Charalampos Stratakis 2016-06-09 15:24:26 UTC
Can the python3 build be enabled at the moment?

Also as I see the binary is present in both python2 and python3 subpackage's file section. This will drag an extra dependency. Binaries should go to the python 3 subpackage as described here [0]

Also you could create if you want the binary for both the subpackages with a procedure described here [1]

[0] https://fedoraproject.org/wiki/Packaging:Python#Naming
[1] http://python-rpm-porting.readthedocs.io/en/latest/tools.html#install

Comment 4 hguemar 2016-06-23 18:11:49 UTC
OpenStack has not yet migrated to python3 and it won't before a long time so default version should be python2.
Reassigning to myself, I'll fix it

Comment 5 hguemar 2016-06-26 12:33:11 UTC
Fixed in rawhide, note that congressclient does not provide CLI anymore.


Note You need to log in before you can comment on or make changes to this bug.